package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 相关还款责任人:不动产(土地)
 * </p>
 *
 * @author liutao
 * @since 2023-06-27
 */
@TableName("review_rlt_repay_land")
public class ReviewRltRepayLand extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 相关还款责任人的ID
     */
    @TableField("review_rlt_repay_id")
    private Long reviewRltRepayId;

    /**
     * 具体位置
     */
    @TableField("location")
    private String location;

    /**
     * 土地证号或土地租地合同
     */
    @TableField("land_no")
    private String landNo;

    /**
     * 账面原值
     */
    @TableField("original_book_value")
    private String originalBookValue;

    /**
     * 面积
     */
    @TableField("area")
    private String area;

    /**
     * 土地性质
     */
    @TableField("land_nature")
    private String landNature;

    /**
     * 抵押/按揭:抵押mortgage，按揭installment
     */
    @TableField("mortgage_installment")
    private String mortgageInstallment;

    /**
     * 状况描述
     */
    @TableField("reamrk")
    private String reamrk;

    public Long getReviewRltRepayId() {
        return reviewRltRepayId;
    }

    public void setReviewRltRepayId(Long reviewRltRepayId) {
        this.reviewRltRepayId = reviewRltRepayId;
    }
    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
    public String getLandNo() {
        return landNo;
    }

    public void setLandNo(String landNo) {
        this.landNo = landNo;
    }
    public String getOriginalBookValue() {
        return originalBookValue;
    }

    public void setOriginalBookValue(String originalBookValue) {
        this.originalBookValue = originalBookValue;
    }
    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }
    public String getLandNature() {
        return landNature;
    }

    public void setLandNature(String landNature) {
        this.landNature = landNature;
    }
    public String getMortgageInstallment() {
        return mortgageInstallment;
    }

    public void setMortgageInstallment(String mortgageInstallment) {
        this.mortgageInstallment = mortgageInstallment;
    }
    public String getReamrk() {
        return reamrk;
    }

    public void setReamrk(String reamrk) {
        this.reamrk = reamrk;
    }

    @Override
    public String toString() {
        return "ReviewRltRepayLand{" +
            "reviewRltRepayId=" + reviewRltRepayId +
            ", location=" + location +
            ", landNo=" + landNo +
            ", originalBookValue=" + originalBookValue +
            ", area=" + area +
            ", landNature=" + landNature +
            ", mortgageInstallment=" + mortgageInstallment +
            ", reamrk=" + reamrk +
        "}";
    }
}
